Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# Pod::Simple::PullParserEndToken

Perl 5 version 26.0 documentation
Go to top
Show page index • Show recent pages
Recently read

# Pod::Simple::PullParserEndToken

- NAME
- SYNOPSIS
- DESCRIPTION
- SEE ALSO
- SUPPORT
- COPYRIGHT AND DISCLAIMERS
- AUTHOR

# NAME

Pod::Simple::PullParserEndToken -- end-tokens from Pod::Simple::PullParser

# SYNOPSIS

(See Pod::Simple::PullParser)

# DESCRIPTION

When you do $parser->get_token on a Pod::Simple::PullParser, you might get an object of this class.

This is a subclass of Pod::Simple::PullParserToken and inherits all its methods, and adds these methods:

- $token->tagname

  This returns the tagname for this end-token object. For example, parsing a "=head1 ..." line will give you a start-token with the tagname of "head1", token(s) for its content, and then an end-token with the tagname of "head1".

- $token->tagname(somestring)

  This changes the tagname for this end-token object. You probably won't need to do this.

- $token->tag(...)

  A shortcut for $token->tagname(...)

- $token->is_tag(somestring) or $token->is_tagname(somestring)

  These are shortcuts for `$token->tag() eq somestring`

You're unlikely to ever need to construct an object of this class for yourself, but if you want to, call `Pod::Simple::PullParserEndToken->new( tagname )`

# SEE ALSO

Pod::Simple::PullParserToken, Pod::Simple, Pod::Simple::Subclassing

# SUPPORT

Questions or discussion about POD and Pod::Simple should be sent to the pod-people@perl.org mail list. Send an empty email to pod-people-subscribe@perl.org to subscribe.

This module is managed in an open GitHub repository, https://github.com/perl-pod/pod-simple/. Feel free to fork and contribute, or to clone git://github.com/perl-pod/pod-simple.git and send patches!

Patches against Pod::Simple are welcome. Please send bug reports to <bug-pod-simple@rt.cpan.org>.

# COPYRIGHT AND DISCLAIMERS

Copyright (c) 2002 Sean M. Burke.

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

This program is distributed in the hope that it will be useful, but without any warranty; without even the implied warranty of merchantability or fitness for a particular purpose.

# AUTHOR

Pod::Simple was created by Sean M. Burke <sburke@cpan.org>. But don't bother him, he's retired.

Pod::Simple is maintained by:

- Allison Randal `allison@perl.org`
- Hans Dieter Pearcey `hdp@cpan.org`
- David E. Wheeler `dwheeler@cpan.org`

Page index

- NAME
- SYNOPSIS
- DESCRIPTION
- SEE ALSO
- SUPPORT
- COPYRIGHT AND DISCLAIMERS
- AUTHOR